package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.MarketMapBoxDes;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.MarketMapBoxDesMapper")
public interface MarketMapBoxDesMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(MarketMapBoxDes record);

    MarketMapBoxDes selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(MarketMapBoxDes record);

    List<MarketMapBoxDes> queryAllMarketMapBoxDes(MarketMapBoxDes record);

    List<MarketMapBoxDes> queryMarketMapBoxDesByPage(Map<String, Object> parameter);

    int delete(MarketMapBoxDes record);

    MarketMapBoxDes queryMarketMapBoxDes(MarketMapBoxDes record);

    List<MarketMapBoxDes> query(MarketMapBoxDes record);
}

